Smart Proxy - Bug #4026

native_ms/dnscmd providers should use shell escaping when running commands
01/15/2014 02:29 PM - Dominic Cleal

Status: Closed
Priority: High
Assignee: Anna Vitova
Category: Security
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/796
Description

The two Windows providers (native_ms/dnscmd) should escape incoming data which is currently passed straight to the cmd.exe

shell.

Assigning Sam as he's already looked a bit at this.

More discussion: https://github.com/theforeman/smart-proxy/pull/127/files#r8814677

Related issues:
Related to Smart Proxy - Feature #3991: dnscmd provider for smart-proxy (Wind...
Related to Foreman - Tracker #5409: DNS Proxy Improvements

Closed 01/10/2014
New

Associated revisions

Revision 9522669b - 10/08/2021 01:15 PM - Anna Vitova

fixes #4026 - fixes #4026 secure Windows command execution

History

#1 - 01/15/2014 02:30 PM - Dominic Cleal
- Related to Feature #3991: dnscmd provider for smart-proxy (Windows) added

#2 - 01/15/2014 02:30 PM - Dominic Cleal

- Description updated

#3 - 04/23/2014 02:36 PM - Stephen Benjamin
- Related to Tracker #5409: DNS Proxy Improvements added

#4 - 05/18/2017 07:11 PM - Anonymous

- Assignee changed from Sam Kottler to Anonymous

Dmitry, | guess this can be closed?

#5 - 05/19/2017 05:06 AM - Anonymous

| don't think this can be closed -- dns_dnscmd provider doesn't escape data passed to it.

#6 - 08/06/2021 01:59 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/796 added

#7 - 08/09/2021 09:18 AM - Anna Vitova

- Assignee changed from Anonymous to Anna Vitova
https://github.com/theforeman/smart-proxy/pull/127/files#r8814677

#8 - 10/08/2021 01:15 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#9 - 10/08/2021 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 9522669b7287b62a8bc073f6{8abb5554184e57d.

05/10/2024 22


https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/9522669b7287b62a8bc073f6f8abb5554184e57d
http://www.tcpdf.org

